
#ifndef FIELD_H
#define FIELD_H

template<class T>

class Field
{
    T* data;
    int w;

    public:

    T& operator()(int x, int y){return data[x + w*y];}

    Field(){}
    Field(int width, int height)
    {
        w = width;
        data = new T[width*height];
    }

    ~Field()
    {
        delete[] data;
    }

    void initField(int width, int height)
    {
        if(!data)delete[] data;
        w = width;
        data = new T[width*height];
    }
};

#endif
