#ifndef TARGET_H
#define TARGET_H

enum targetType{    TARGET_LINK_ID = 0,
                    TARGET_LINK_VAR = 1,
                    TARGET_LINK_COORDINATES = 2,
                    TARGET_LINK_HERO = 3 };

enum Color{ COL_BLACK   = 0x000000,
            COL_RED     = 0x0000ff,
            COL_GREEN   = 0x00ff00,
            COL_BLUE    = 0xff0000,
            COL_MAGENTA = 0xff00ff,
            COL_CYAN    = 0xffff00,
            COL_YELLOW  = 0x00ffff,
            COL_WHITE   = 0xffffff };

class Target
{
    public:
        Target();
        ~Target();
        void draw(int srcx, int srcy, int xnull, int ynull, int wsize, int hsize);
        void linkId(int id);
        void linkVar(int x, int y);
        void setColor(int c);
        void setAlpha(int a);
        void setCoordinates(int x, int y);
        void destroy();
    private:
        int x;
        int y;
        int id;
        int type;
        RPG::Image* symbol;
};

#endif
